Bug 508970 - Display corruption with nouveau on an NV36
Display corruption with nouveau on an NV36
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-30 13:31 EDT by Daniel Colascione
Modified: 2010-06-28 09:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:24:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of corruption. Blue dots shouldn't be there. (9.56 KB, image/png)
2009-06-30 13:35 EDT, Daniel Colascione
no flags Details
xorg log (108.86 KB, application/octet-stream)
2009-06-30 13:35 EDT, Daniel Colascione
no flags Details
dmesg (28.87 KB, text/plain)
2009-06-30 20:55 EDT, Daniel Colascione
no flags Details
lspci output (8.92 KB, text/plain)
2009-06-30 20:56 EDT, Daniel Colascione
no flags Details

  None (edit)
Description Daniel Colascione 2009-06-30 13:31:20 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Colascione 2009-06-30 13:34:34 EDT
Crap - stray 'enter' key. Sorry for the spam. Anyway --

I get display corruption (see attached screenshot) on my NV36 when using nouveau. It disappears if I add " "EXANoUploadToScreen" "true" to my xorg.conf (or turn off acceleration entirely.) Turning off composite makes no difference. Using a compositing window manager makes no difference. Turning off AGP (turning AGP to minimum in BIOS, booting with agp=off, and modprobeing nouveau with noagp=1) doesn't make a difference.

I've attached my Xorg.0.log as well.
Comment 2 Daniel Colascione 2009-06-30 13:35:08 EDT
Created attachment 349979 [details]
Screenshot of corruption. Blue dots shouldn't be there.
Comment 3 Daniel Colascione 2009-06-30 13:35:47 EDT
Created attachment 349980 [details]
xorg log
Comment 4 Ben Skeggs 2009-06-30 17:59:09 EDT
Can I see the output of the dmesg command after you've seen the corruption appear?
Comment 5 Ben Skeggs 2009-06-30 18:13:29 EDT
I'm assuming you're "quotemstr" from #nouveau?  You mention it only happens at 16bpp, that's useful information, I will look into this.  But, the dmesg info could still prove useful.
Comment 6 Daniel Colascione 2009-06-30 20:55:46 EDT
Created attachment 350039 [details]
dmesg
Comment 7 Daniel Colascione 2009-06-30 20:56:47 EDT
Created attachment 350041 [details]
lspci output
Comment 8 Ben Skeggs 2009-08-05 03:59:54 EDT
This is fixed in rawhide as of xorg-x11-drv-nouveau-0.0.15-2.20090805git712064e.fc12.  Are you still using F11?  If so, I'll backport this tomorrow, otherwise I'll close as fixed in rawhide.
Comment 9 Daniel Colascione 2009-08-06 12:46:22 EDT
I'm still using F11, so if you have time, I'd love a backport. Thanks!
Comment 10 Fedora Update System 2009-08-07 23:52:54 EDT
xorg-x11-drv-nouveau-0.0.12-41.20090528git0c17b87.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xorg-x11-drv-nouveau-0.0.12-41.20090528git0c17b87.fc11
Comment 11 Fedora Update System 2009-08-08 15:30:23 EDT
xorg-x11-drv-nouveau-0.0.12-41.20090528git0c17b87.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xorg-x11-drv-nouveau'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8398
Comment 12 Bug Zapper 2010-04-27 11:22:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 09:24:05 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.